<?php
  if (is_home() || is_front_page()) {

    $wp_query = new WP_Query(array( "post_type"=>["_clanky"], "posts_per_page"=>6, "fields"=>"ids", "cache_results"=>false, "no_found_rows"=>true ));
    
    $banner_show = get_post_meta( get_the_ID(), 'mb_banner_check', true ) ? : false;
    
    if ( $banner_show ) {
      $banner_nadpis = get_post_meta( get_the_ID(), 'mb_banner_nadpis', true );
      $banner_popisek = get_post_meta( get_the_ID(), 'mb_banner_popisek', true );
      $banner_button_nadpis = get_post_meta( get_the_ID(), 'mb_banner_button_nadpis', true );
      $banner_button_url = ($url = get_post_meta( get_the_ID(), 'mb_banner_button_url', true )) ? get_permalink($url) : "";
      $banner_button_url = ($url_custom = get_post_meta( get_the_ID(), 'mb_banner_button_url_custom', true )) ? $url_custom : $banner_button_url;
      $banner_img = get_post_meta( get_the_ID(), 'mb_banner_img', true );
      $counter = 0;
    }

  }
?>

<?php if (have_posts()): ?>

  <div id="cpt-clanky">

    <?php if (is_home() || is_front_page()) { ?>
        <header>
            <h2 class="tac"><?php echo sprintf( __("Aktuální informace", TEXTDOMAIN) ) ?></h2>
        </header>
    <?php } ?>

    <?php
        while( have_posts() ): the_post();

        //$summary = get_the_excerpt() ? : wp_trim_words( get_the_content(), 22 );
        $summary = has_excerpt() ? get_the_excerpt() : wp_trim_words( get_the_content(), 22 );

        if (is_search()) {
          $keys = explode(' ',$s);
          $summary = preg_replace('/('.implode('|', $keys) .')/iu','<span class="search-word">\0</span>', $summary);
          //$title = preg_replace('/('.implode('|', $keys) .')/iu','<span class="search-word">\0</span>',get_the_title());
        }

        // publikováno VS aktualizováno
        /*
        if (get_the_date() !== get_the_modified_date()) {
          $date = get_the_modified_date();
          $date_desc = __("Aktualizováno", TEXTDOMAIN);
        } else {
          $date = get_the_date();
          $date_desc = __("Publikováno:", TEXTDOMAIN);
        }
        */

        $date = get_the_date();
        $date_desc = "";

        echo '
          <article>
            <figure>
              <a href="'.get_permalink().'">'.wp_get_attachment_image( get_post_thumbnail_id( get_the_ID() ), 'medium' ).'</a>
            </figure>
            <div class="summary">
              <h3><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
              <div class="post-meta">
                '.$date_desc.' <time datetime="'.get_the_time( 'Y-m-d' ).'" pubdate>'.$date.'</time>
              </div>
              <p>'.$summary.'</p>
            </div>
          </article>
        ';

        if (isset($banner_show) && $banner_show && (is_home() || is_front_page())) {
          $counter++;
          if ($counter === 3) {
            echo '
              <div id="hp-banner">
                <div class="summary">
                  <h2>'.$banner_nadpis.'</h2>
                  <p>'.$banner_popisek.'</p>
                  <a href="'.$banner_button_url.'" title="" class="btn b3">'.$banner_button_nadpis.'</a>
                </div>
                <figure style="background: url('.current(wp_get_attachment_image_src($banner_img, "large")).') no-repeat 50% 50% / cover"></figure>
              </div>
            ';
          }
        }

        endwhile;
    ?>

  </div>

<?php else: echo '<h4>'.__( "Není zde žádný článek.", TEXTDOMAIN ).'</h4>'; endif ?>

<?php

  if (is_home() || is_front_page()) {
    if (count($wp_query->posts) === 6) echo '<p class="more-posts tac"><a href="'.get_post_type_archive_link("_clanky").'" title="'.__("Archiv článků", TEXTDOMAIN).'" class="btn">'.__("Archiv článků", TEXTDOMAIN).'</a></p>';
    wp_reset_query();
  }
